
body {
    font-family: 'Tajawal', sans-serif;
    font-weight: 500;
    overflow-y: scroll;
    margin: 0;
}

.container {
    max-width: 1000px;
    padding: 0 40px;
    margin: 0 auto;
}

input, button, select {
    font-family: inherit;
    font-size: inherit;
}

a {
    color: inherit;
}

.page-content {
    box-sizing: border-box;
    padding-top: 40px;
    padding-bottom: 40px;
}

header {
    position: relative;
    padding: 30px 0;
    background-image: url(https://images.unsplash.com/photo-1524995997946-a1c2e315a42f?auto=format&fit=crop&w=1350&q=80);
    background-size: cover;
    background-position: center;
}

header::before {
    content: '';
    background-image: linear-gradient(44deg, #8BC34A, #FFEB3B);
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0.9;
}

header > * {
    position: relative;
    z-index: 1;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

nav .logo img {
    width: 60px;
    height: auto;
}

nav ul {
    display: flex;
    align-items: center;
    list-style: none;
    font-weight: bold;
    margin: 0;
    padding: 0;
}

nav ul li + li {
    margin-right: 50px;
}

nav ul a {
    text-decoration: none;
    padding: 10px 0;
}

h2 {
    font-size: 34px;
    text-align: center;
    margin-bottom: 70px;
    margin-top: 70px;
}

h2 span {
    display: block;
    font-size: 18px;
    font-weight: 500;
    margin-top: 10px;
    line-height: 20px;
}

button.scroll-to-top {
    position: fixed;
    right: 0;
    bottom: 0;
    right: 20px;
    bottom: 20px;
    border-radius: 50%;
    border: 0;
    padding: 0;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #cddc39;
    color: #212121;
    z-index: 10000;
    cursor: pointer;
    transition: opacity 0.3s, visibility 0.3s;
}

button.scroll-to-top.hide {
    opacity: 0;
    visibility: hidden;
}

.main-form {
    display: flex;
    justify-content: center;
    border-radius: 5px;
    box-shadow: 0 3px 10px rgb(0 0 0 / 15%);
    max-width: 700px;
    margin: 0 auto 40px;
}

.main-form input[type="text"] {
    flex: 1;
    border: 0;
    padding: 0 20px;
    box-sizing: border-box;
    border-radius: 0 5px 5px 0;
}

.main-form button[type="submit"] {
    background-color: #e6ee9c;
    font-weight: bold;
    border: 0;
    padding: 0;
    border-radius: 5px 0 0 5px;
    flex-basis: 150px;
    line-height: 60px;
    cursor: pointer;
}

.main-form select {
    border: 0;
    box-sizing: border-box;
    padding-right: 9px;
    height: 60px;
    border-right: solid 1px #00000030;
    flex-basis: 150px;
    border-radius: 0;
}

.view-branches-links .branches {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: 800px;
    margin: 50px auto 0;
}

.view-branches-links .branches a {
    flex-basis: calc(50% - 30px / 2);
    box-shadow: 0 4px 10px rgb(0 0 0 / 14%);
    margin-bottom: 30px;
    text-align: center;
    padding: 20px 10px;
    box-sizing: border-box;
    text-decoration: none;
    color: #212121;
    font-weight: 700;
    border-radius: 5px;
    background-color: #f9fbe7;
    font-size: 17px;
}

.search-and-loading-container {
    position: relative;
    padding-top: 25px;
}

.search-and-loading-container.loading .search-container {
    opacity: 0.5;
}

.search-loading {
    position: absolute;
    left: 0;
    top: 10px;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s, visibility 0.3s;
}

.search-and-loading-container.loading .search-loading {
    opacity: 1;
    visibility: visible;
}

.progress-line, .progress-line:before {
    height: 4px;
    width: 100%;
    margin: 0;
}

.progress-line {
    background-color: #e6ee9c;
    display: flex;
}

.progress-line:before {
    background-color: #afb42b;
    content: '';
    animation: running-progress 2s cubic-bezier(0.4, 0, 0.2, 1) infinite;
}

@keyframes running-progress {
    0% {
        margin-left: 0px;
        margin-right: 100%;
    }

    50% {
        margin-left: 25%;
        margin-right: 0%;
    }

    100% {
        margin-left: 100%;
        margin-right: 0;
    }
}

.result-item {
    padding: 30px;
    box-shadow: 0 3px 10px #00000030;
    margin-bottom: 40px;
    border-radius: 5px;
    position: relative;
}

.result-item .item-type {
    position: absolute;
    right: 0;
    top: 0;
    background-color: #cddc39;
    padding: 0 15px;
    border-radius: 0 5px 0 5px;
    color: #212121;
    font-weight: bold;
}

.result-item h4 {
    margin: 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 1.5em;
}

.result-item table {
    width: 100%;
    margin-top: 10px;
    border-collapse: collapse;
    max-width: 100%;
}

.result-item table td {
    border-top: solid 1px rgb(0 0 0 / 15%);
    padding: 10px 0;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100px;
}

[data-page="item"] .page-content {
    padding-top: 50px;
    padding-bottom: 50px;
}

.app[data-page="item"] .result-item h4,
.app[data-page="item"] .result-item table td {
    white-space: unset;
}

.result-item table td + td {
    padding-right: 10px;
}

.no-results {
    text-align: center;
}

.result-items-container {
    margin-top: 30px;
}

.result-pagination {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.result-pagination .pages {
    user-select: none;
}

.result-pagination .pages > a {
    padding: 5px;
    display: inline-block;
    text-align: center;
    line-height: 25px;
    min-width: 25px;
    background-color: #eeeeee;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
}

.result-pagination .pages span.dots {
    pointer-events: none;
}

.result-pagination .pages a + a {
    margin-right: 5px;
}

.result-pagination .pages span {
    margin: 0 5px;
}

.result-pagination .pages a.active {
    background-color: #cddc39;
}

.search-word {
    background-color: #ffc107;
}

h3 {
    font-size: 28px;
    text-align: center;
}

article {
    line-height: 2em;
    font-size: 18px;
    max-width: 700px;
    margin: 0 auto;
}

article img {
    max-width: 100%;
    height: auto;
}

footer {
    background-color: #212121;
    padding: 30px 0;
    color: #fff;
}

footer .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

footer ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
}

footer ul li + li {
    margin-right: 20px;
}

footer ul li a {
    text-decoration: none;
}

@media (max-width: 900px) {
    footer .container ul {
        width: 100%;
    }
    footer .copyright {
        width: 100%;
        margin-top: 10px;
    }
}

@media (max-width: 560px) {
    header ul li + li {
        margin-right: 30px;
    }
    h2 {
        margin: 50px 0 40px;
    }
    .main-form {
        flex-wrap: wrap;
    }
    .main-form input[type="text"] {
        flex-basis: 100%;
        height: 60px;
        border-radius: 5px 5px 0 0;
    }
    .main-form select {
        flex-basis: calc(100% - 150px);
        border-right: 0;
        border-top: solid 1px rgb(0 0 0 / 10%);
        border-radius: 0 0 5px 0;
    }
    .main-form button[type="submit"] {
        border-radius: 0 0 0 5px;
    }
    .view-branches-links .branches a {
        flex-basis: 100%;
    }
    footer ul li + li {
        width: 100%;
        margin-right: 0;
        margin-top: 10px;
    }
}

@media (max-width: 380px) {
    .container {
        padding-left: 20px;
        padding-right: 20px;
    }
    .main-form select {
        flex-basis: 100%;
        border-radius: 0;
    }
    .main-form button[type="submit"] {
        flex-basis: 100%;
        border-radius: 0 0 5px 5px;
    }
}

/* debug <a rel="nofollow"> */
html.debug-anchor-nofollow a[rel="nofollow"] {
    outline: solid 2px #f00;
    outline-offset: -2px;
}
html.debug-anchor-nofollow a[href]:not([rel="nofollow"]) {
    outline: solid 2px #0f0;
    outline-offset: -2px;
}

/* debug <form rel="nofollow"> */
html.debug-form-nofollow form[action][rel="nofollow"] {
    outline: solid 2px #f00;
    outline-offset: -2px;
}
html.debug-form-nofollow form[action]:not([rel="nofollow"]) {
    outline: solid 2px #0f0;
    outline-offset: -2px;
}

/* debug <meta name="robots" content="noindex"> */
html.debug-robots-noindex[data-robots="noindex"] body {
    outline: solid 4px #f00;
    outline-offset: -4px;
}
html.debug-robots-noindex:not([data-robots]) body {
    outline: solid 4px #0f0;
    outline-offset: -4px;
}
